.loader {
    --color-1: #f173ac;
    --size: 0.5px;
    width: calc(48 * var(--size));
    height: calc(48 * var(--size));
    border: calc(8 * var(--size)) solid var(--color-1);
    border-bottom-color: transparent;
    border-radius: 50%;
    margin: 0 auto;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
    }

    @keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
#loading-indicator {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 0;
    width: 100%;
}